<template>
    <div>
        <nav class="relative z-0 inline-flex rounded-md shadow-sm -space-x-px" aria-label="Pagination">
            <a v-if="links[0]"
               :href="links[0].url"
               class="relative inline-flex items-center px-2 py-2 rounded-l-md border border-gray-300 bg-white text-sm font-medium text-gray-500 hover:bg-gray-50"
                :class="{ 'z-10 bg-indigo-50 border-indigo-500 text-indigo-600' : links[0].active }">
                <span class="sr-only">Previous</span>
                <ChevronLeftIcon class="h-5 w-5" aria-hidden="true" />
            </a>
            <template v-for="link in links.slice(1,-1)" :key="link.id">
                <div v-if="link.url === null"
                     aria-current="page"
                     class="z-10 bg-indigo-50 border-indigo-500 text-indigo-600 relative inline-flex items-center px-4 py-2 border text-sm font-medium"
                     v-html="link.label"
                >
                </div>
                <a v-else :href="link.url"
                   class="bg-white border-gray-300 text-gray-500 hover:bg-gray-50 relative inline-flex items-center px-4 py-2 border text-sm font-medium"
                   :class="{ 'z-10 bg-indigo-50 border-indigo-500 text-indigo-600' : link.active }"
                   v-html="link.label"
                >
                </a>
            </template>
            <!-- Current: "z-10 bg-indigo-50 border-indigo-500 text-indigo-600", Default: "bg-white border-gray-300 text-gray-500 hover:bg-gray-50" -->
            <a v-if="links[links.length-1]"
               :href="links[links.length-1].url"
               class="relative inline-flex items-center px-2 py-2 rounded-r-md border border-gray-300 bg-white text-sm font-medium text-gray-500 hover:bg-gray-50"
               :class="{ 'z-10 bg-indigo-50 border-indigo-500 text-indigo-600' : links[links.length-1].active }">
                <span class="sr-only">Next</span>
                <ChevronRightIcon class="h-5 w-5" aria-hidden="true" />
            </a>
        </nav>
    </div>
</template>

<script>
import { ChevronLeftIcon, ChevronRightIcon } from '@heroicons/vue/solid'

export default {
    components: {
        ChevronLeftIcon,
        ChevronRightIcon,
    },
    props: {
        links:{
            type: Array,
            default: [],
        }
    },
}
</script>
